---
sourceDocument: Australia API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/de-DE/api-reference

 Release :

    - australia

ft:locale :

    - de-DE

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Define an API resource response structure

# Define an API resource response structure {#ariaid-title1}

* Freigeben Version: Australia
* 
* Aktualisiert 12. März 2026
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 Minute Lesedauer

Add a schema and relevant response headers to a REST response to define the response's expected data structure.

## Vorbereitungen

At least one REST API resource and at least one schema must already be defined for use in the relevant REST API. You must also define any response headers you want to use. For more information, see [Define a REST API response header](https://servicenow-prod.fluidtopics.net/PD~2NpfTVXv_Qxn9L0w3UA "Define one or more REST API response headers in a REST API.").

Role required: web_service_admin

## Prozedur

1. Navigate to a new REST Response record in one of the following ways.  
   If you navigate through the scripted REST API record, most fields in the REST Response record are pre-populated.

   | Option | Procedure |
   | Navigate through a scripted REST API record | 1. Navigate to AllSystem Web ServicesScripted REST APIs. 2. Select a scripted REST API record. 3. In the Resources related list, select a resource. 4. In the Response Schema tab, select New. {#add-schema-rest-api-response__ol_zbj_m4d_j3c} |
   | Navigate directly to the REST Response record | 1. Navigate to AllFilter and enter <kbd class="ph userinput">sys_ws_response_spec.form</kbd>. 2. In the API field, select an API. 3. In the API resource field, select the API resource whose response format you want to specify. 4. In the Http method field, select the method whose response format you want to specify (for example, GET). 5. Version field, select the API resource version. {#add-schema-rest-api-response__ol_tm1_zrc_l3c} |
   |-|-|

   {#add-schema-rest-api-response__choicetable_mvh_34d_j3c}
2. In the Http status field, enter the HTTP status that the REST response specifications apply to (for example, 200).  
   For example, return ABC status by entering 200.
3. In the Schema field, find or enter the schema that defines the structure and format for the resource's selected HTTP status, version, and method.
4. **Wahlweise:** Add relevant response headers associated with the API.
   1. Select the Unlock Response Headers icon .
   2. Find or enter relevant response headers associated with the API.
   {#add-schema-rest-api-response__substeps_gp2_1qd_j3c}
5. In the Description field, summarize the expected format of the REST response.
6. Select Submit.

## Ergebnisse

The schema you used to define the response body structure is included in the exportable OpenAPI specification in the REST API Explorer. For more information about exporting OpenAPI specifications, see [Export to OpenAPI specification](https://servicenow-prod.fluidtopics.net/S8e8_FR40nFlJ3eVBRedqg "Export a REST API as an OpenAPI specification to import it into another web services tool.").

